From 61a15fe7ea347f9ef4f9f9123ffc84c4a32c9366 Mon Sep 17 00:00:00 2001
From: Chris Oelmueller <chris.oelmueller@gmail.com>
Date: Sun, 8 Feb 2015 10:48:11 +0100
Subject: Emphasize the need for uppercase prompt input

By printing the more clear message intended for tutorial/hints mode use in
case of valid input that just was rejected due to lack of capitalization.
---
 crawl-ref/source/prompt.cc | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/crawl-ref/source/prompt.cc b/crawl-ref/source/prompt.cc
index ab84cdd..f63c173 100644
--- a/crawl-ref/source/prompt.cc
+++ b/crawl-ref/source/prompt.cc
@@ -122,7 +122,8 @@ bool yesno(const char *str, bool safe, int safeanswer, bool clear_after,
             return true;
         else if (!noprompt)
         {
-            bool upper = (!safe && crawl_state.game_is_hints_tutorial());
+            bool upper = !safe && (tmp == 'n' || tmp == 'y'
+                                   || crawl_state.game_is_hints_tutorial());
             const string pr = make_stringf("%s[Y]es or [N]o only, please.",
                                            upper ? "Uppercase " : "");
 #ifdef TOUCH_UI
@@ -238,7 +239,8 @@ int yesnoquit(const char* str, bool safe, int safeanswer, bool allow_all,
                 return 2;
             else
             {
-                bool upper = (!safe && crawl_state.game_is_hints_tutorial());
+                bool upper = !safe && (tmp == 'n' || tmp == 'y' || tmp == 'a'
+                                       || crawl_state.game_is_hints_tutorial());
                 mprf("Choose %s[Y]es%s, [N]o, [Q]uit, or [A]ll!",
                      upper ? "uppercase " : "",
                      _list_alternative_yes(alt_yes, alt_yes2, false, true).c_str());
@@ -246,7 +248,8 @@ int yesnoquit(const char* str, bool safe, int safeanswer, bool allow_all,
         }
         else
         {
-            bool upper = (!safe && crawl_state.game_is_hints_tutorial());
+            bool upper = !safe && (tmp == 'n' || tmp == 'y'
+                                   || crawl_state.game_is_hints_tutorial());
             mprf("%s[Y]es%s, [N]o or [Q]uit only, please.",
                  upper ? "Uppercase " : "",
                  _list_alternative_yes(alt_yes, alt_yes2, false, true).c_str());
-- 
2.3.0


From fae3c122d45f87c6f0f2812f8540d71af77b739b Mon Sep 17 00:00:00 2001
From: Chris Oelmueller <chris.oelmueller@gmail.com>
Date: Sun, 8 Feb 2015 11:15:19 +0100
Subject: Gozag text tweaks

Intended to remove some duplication. Also includes a couple otherwise
unrelated coding style changes in the vicinity.
---
 crawl-ref/source/dat/descript/gods.txt | 4 ++--
 crawl-ref/source/describe-god.cc       | 9 +++++----
 crawl-ref/source/religion.cc           | 9 +++++----
 3 files changed, 12 insertions(+), 10 deletions(-)

diff --git a/crawl-ref/source/dat/descript/gods.txt b/crawl-ref/source/dat/descript/gods.txt
index 03c49d2..2d5eb62 100644
--- a/crawl-ref/source/dat/descript/gods.txt
+++ b/crawl-ref/source/dat/descript/gods.txt
@@ -245,8 +245,8 @@ For Gozag, both flesh and food are inferior to wealth, and therefore all
 corpses are turned into gold piles. These piles of gold may briefly distract
 nearby monsters. Stalwarts can order immediate help in the form of potions,
 with prices being dictated by the Greedy. Particularly well-off adherents may
-attract shopkeepers into the dungeon, and even bribe entire branches of the
-dungeon. Gozag will also duplicate any one non-artefact item for a servant.
+attract shopkeepers into the dungeon, and even bribe entire branches.
+Gozag will also duplicate any one non-artefact item for a servant.
 %%%%
 Jiyva powers
 
diff --git a/crawl-ref/source/describe-god.cc b/crawl-ref/source/describe-god.cc
index 2e3a9f1..236cc01 100644
--- a/crawl-ref/source/describe-god.cc
+++ b/crawl-ref/source/describe-god.cc
@@ -484,18 +484,19 @@ static void _list_bribable_branches(vector<branch_type> &targets)
  */
 static string _describe_branch_bribability()
 {
-    string ret = "You can bribe the following branches:\n";
+    string ret = "You can bribe the following branches of the dungeon:\n";
     vector<branch_type> targets;
     _list_bribable_branches(targets);
 
     size_t width = 0;
     for (branch_type br : targets)
-        width = max(width, strlen(branches[br].longname));
+        width = max(width, strlen(branches[br].shortname));
 
     for (branch_type br : targets)
     {
-        string line(branches[br].longname);
-        line += string(width + 1 - strwidth(line), ' ');
+        string line = " ";
+        line += branches[br].shortname;
+        line += string(width + 2 - strwidth(line), ' ');
         // XXX: move this elsewhere?
         switch (br)
         {
diff --git a/crawl-ref/source/religion.cc b/crawl-ref/source/religion.cc
index ea74e07..d611da5 100644
--- a/crawl-ref/source/religion.cc
+++ b/crawl-ref/source/religion.cc
@@ -3690,14 +3690,15 @@ void god_pitch(god_type which_god)
                      " have %d.", fee, you.gold);
             }
         }
-        else if (which_god == GOD_BEOGH || which_god == GOD_ELYVILON
-                                   || which_god == GOD_JIYVA)
+        else if (which_god == GOD_BEOGH
+                 || which_god == GOD_ELYVILON
+                 || which_god == GOD_JIYVA)
         {
             simple_god_message(" does not accept worship from the loveless!",
                                which_god);
         }
         else if (player_mutation_level(MUT_NO_ARTIFICE)
-                          && which_god == GOD_NEMELEX_XOBEH)
+                 && which_god == GOD_NEMELEX_XOBEH)
         {
             simple_god_message(" does not accept worship for those who cannot "
                               "deal a hand of cards!", which_god);
@@ -3742,7 +3743,7 @@ void god_pitch(god_type which_god)
         {
             service_fee = make_stringf(
                     "The service fee for joining is currently %d gold; you"
-                    " currently have %d.\n",
+                    " have %d.\n",
                     fee, you.gold);
         }
     }
-- 
2.3.0


From 6793f867584198fbeb97bc6050160523702814f4 Mon Sep 17 00:00:00 2001
From: Chris Oelmueller <chris.oelmueller@gmail.com>
Date: Sun, 8 Feb 2015 11:16:36 +0100
Subject: Place worship prompt three lines further down (#9394)

[Religion question overwrites religion description text]
For e.g. Gozag Powers, Zin Wrath. Also see comments in that ticket.
---
 crawl-ref/source/religion.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/crawl-ref/source/religion.cc b/crawl-ref/source/religion.cc
index d611da5..d9f656d 100644
--- a/crawl-ref/source/religion.cc
+++ b/crawl-ref/source/religion.cc
@@ -3751,7 +3751,7 @@ void god_pitch(god_type which_god)
                                        service_fee.c_str(),
                                        (you.worshipped[which_god]) ? "re" : "");
 
-    cgotoxy(1, 18, GOTO_CRT);
+    cgotoxy(1, 21, GOTO_CRT);
     textcolour(channel_to_colour(MSGCH_PROMPT));
     if (!yesno(prompt.c_str(), false, 'n', true, true, false, nullptr, GOTO_CRT))
     {
-- 
2.3.0


From ad2e64c6ec291cbf9c3122f6a74208ef6aa33f31 Mon Sep 17 00:00:00 2001
From: Chris Oelmueller <chris.oelmueller@gmail.com>
Date: Sun, 8 Feb 2015 11:23:42 +0100
Subject: Consume less newlines on non-message-area prompt repeats

Such as in the religion screen prompting for worship.
---
 crawl-ref/source/prompt.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/crawl-ref/source/prompt.cc b/crawl-ref/source/prompt.cc
index f63c173..d9404d8 100644
--- a/crawl-ref/source/prompt.cc
+++ b/crawl-ref/source/prompt.cc
@@ -132,7 +132,7 @@ bool yesno(const char *str, bool safe, int safeanswer, bool clear_after,
             if (message)
                 mpr(pr);
             else
-                cprintf("\n%s\n", pr.c_str());
+                cprintf("%s\n", pr.c_str());
 #endif
         }
     }
-- 
2.3.0

